<ion-header>
  <ion-toolbar  color="success">
    
    
  </ion-toolbar>


</ion-header>
<ion-content fullscreen>
  <div  class="fullscreen-content">
    <div class="cabecera-perfil" padding>
      
        
    
     </div>
  </div>


  <!--INFORMACION *ngIf="contenedor==1"-->



  <ion-fab vertical="bottom" horizontal="end" >
    <ion-fab-button color="light" (click)="cerrarFavortias()">
      <ion-icon name="locate"></ion-icon>
    </ion-fab-button>
  </ion-fab>
  <ion-fab vertical="bottom"horizontal="right" >
    <ion-fab-button color="light" (click)="close()">
      <ion-icon name="arrow-back"></ion-icon>
    </ion-fab-button>
  </ion-fab>

  <ion-fab  vertical="right" horizontal="left">
    <ion-fab-button color="light">
      <ion-icon name="funnel"></ion-icon>
    </ion-fab-button>
    <ion-fab-list>
      <button id="private" *ngIf="conclave==0" (click)="consultaClinicasPrivadas()" color="light">
       <br>
        <p>Privadas</p>
      </button><!--<p *ngIf="conclave==0" style="color: white; font-weight: bold; text-shadow: 2px 2px  black;">Privadas</p>-->

      <button id="private" *ngIf="conclave==1" (click)="regresionPrivadas()" color="light">
       <br>
        <p>Privadas</p>
      </button><!--<p *ngIf="conclave==1"  style="color: white; font-weight: bold; text-shadow: 2px 2px  black;">Privadas</p>-->



      <button id="publique"  *ngIf="conclave1==0" (click)="consultaClinicasPublicas()" color="light">
       <br>
      <p>Públicas</p>
      </button><!--<p *ngIf="conclave1==0" style="color: white; font-weight: bold; text-shadow: 2px 2px  black;">Públicas</p>-->

      <button id="publique" *ngIf="conclave1==1" (click)="regresionPublicas()" color="light">
       <br>
        <p>Públicas</p>
      </button><!--<p  *ngIf="conclave1==1" style="color: white; font-weight: bold; text-shadow: 2px 2px  black;">Públicas</p>-->



      <button id="mixte"   *ngIf="conclave2==0" (click)="consultaClinicasMixtas()" color="light">
       <br>
        <p>Mixtas</p>
      </button><!--<p *ngIf="conclave2==0" style="color: white; font-weight: bold; text-shadow: 2px 2px  black;" >Mixtas</p>-->


           
      <button id="mixte" *ngIf="conclave2==1" (click)="regresionClinicasMixtas()" color="light">
      <br>
          <p>Mixtas</p>
      </button><!--<p *ngIf="conclave2==1" style="color: white; font-weight: bold; text-shadow: 2px 2px  black;">Mixtas</p>-->

      <button id="favorites" *ngIf="conclave3==0"  (click)="filtradoClinicasFavortias()">
      <br>
       <p>Favoritas</p>
      </button><!--<p *ngIf="conclave3==0" style="color: white; font-weight: bold; text-shadow: 2px 2px  black;" >Favoritas</p>-->


      
      <button  id="favorites"*ngIf="conclave3==1"  (click)="filtradoClinicasFavortias()">    <br>
             <p>Favoritas</p>

    </button><!--<p *ngIf="conclave3==1" style="color: white; font-weight: bold; text-shadow: 2px 2px  black;">Favoritas</p>-->
    </ion-fab-list>
  </ion-fab>
  
  <div class="map-container" *ngIf="contenedor==1">
    <div style="height:20%; background-color:black;">
      <div class="placeDiv" style=" width:80%; height:30%; left:40px; margin-top:30px;margin-bottom:40px;">
        <ion-fab vertical="top" horizontal="start" slot="fixed" *ngIf="estado!='apple'" edge>
            
          <ion-fab-button (click)="verComentarios(uidClini)" color="light">
          <img src="assets/img/comentarios.png" width="34" height="31">

          </ion-fab-button>

    

      </ion-fab>

      <ion-fab horizontal="center" vertical="center"style="position:absolute;top:600px;" slot="fixed" *ngIf="estado!='apple'" edge>
            
        <button style="background-color:green; padding:10px;" (click)="cerrarInfo()" color="warning">
                <img src="assets/img/cancela.png" width="32" height="30">

        </button>

  

    </ion-fab>

      <ion-fab vertical="top" horizontal="end" slot="fixed" *ngIf="estado!='apple'" edge>
            
        <ion-fab-button (click)="AbrirMetodico(origen,destino)" color="light">

          <img src="assets/img/Ruta.png" width="34" height="31">
        </ion-fab-button>
        



    </ion-fab>
  


    
        <div class=" col-lg-8 " id="card-base-estilo">
          
          <div id="card-base-contenido">
          
              <div id="card-body-descripcion">
              <div style="text-align: center;" *ngIf="actividad!='recomendada'&& actividad!='sinservicio' && actividad!='congestionada' ">
                <img src="../../../../assets/img/icon-assets/disponible-redimensionado.png">
                <h6 id="recomendada">Disponible</h6>
              </div>
              <div style="text-align: center;" *ngIf="actividad=='recomendada' ">
                <img src="../../../../assets/img/icon-assets/sad.gif" height="80" width="80">
                <h6 id="recomendada">Recomendada o Disponible</h6>
              </div>
        
              <div style="text-align: center;" *ngIf="actividad=='sinservicio'">
                <img src="../../../../assets/img/icon-assets/angry.gif" height="80" width="80">
                <h6 id="sinservicio">Sin servicio</h6>
              </div>
              <div style="text-align: center;" *ngIf="actividad=='congestionada'">
                <img src="../../../../assets/img/icon-assets/sad.gif" height="80" width="80">
                <h6 id="congestion">Congestionada</h6>
              </div><br>
            
              <h6>{{nombres}}</h6>
              <!--<span style="color: red; font-weight: bold;">Sin servicio</span><br>
              <span style="color: red; font-weight: bold;">12 Usuarios Reportan</span>-->
            </div>
            
            <div id="opciones-logo">
                
              
            

          
              

              <div >

                <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="22" viewBox="0 0 358 22">
                  <g id="Grupo_13" data-name="Grupo 13" transform="translate(-36.5 -401)">
                    <text id="Detalles" transform="translate(180 401)" fill="#646566" font-size="17" font-family="SegoeUI-Bold, Segoe UI" font-weight="700"><tspan x="0" y="18">Detalles</tspan></text>
                    <line id="Línea_15" data-name="Línea 15" x2="141" transform="translate(253.5 413.5)" fill="none" stroke="#707070" stroke-width="1"/>
                    <line id="Línea_16" data-name="Línea 16" x2="138" transform="translate(36.5 413.5)" fill="none" stroke="#707070" stroke-width="1"/>
                  </g>
                </svg>
              <ion-list >
              <ion-item lines="none" >
                  <img   *ngIf="niveles=='privado'" src="../../../../assets/img/icon-assets/clinica_privada.png" height="20" width="20"> <span  syle="margin-left:'20px';" *ngIf="niveles=='privado'">Privado</span >

                   <img  *ngIf="niveles=='subsidiado'" src="../../../../assets/img/icon-assets/clinica_publica.png" height="20" width="20"> <span syle="margin-left:'20px';" *ngIf="niveles=='subsidiado'">Pública</span>
                   <img   *ngIf="niveles=='mixta'" src="../../../../assets/img/icon-assets/clinica_mixta.png" height="20" width="20"> <span syle="margin-left:'20px';"  *ngIf="niveles=='mixta'">Mixta</span>
              </ion-item>
              <ion-item lines="none">
   <div (click)="AbrirMetodico(origen,destino)"><!--<img src="../../../../assets/img/icon-assets/ruta.png" height="30" width="30">-->{{distancia}}km<br><br></div>
              </ion-item>
              <ion-item>
                 {{tiempo}}<br>
              </ion-item>

              <!--<ion-item lines="none">
                <img src='../../../../assets/img/icon-assets/like.png' height="30" width="30">{{likes}} <img src='../../../../assets/img/icon-assets/dislike.png' height="30" width="30">{{dislikes}}
              </ion-item>-->
            </ion-list><br>
               
                
                <!--LIKE OR DISLIKE-->
                <div>
              
                <ion-button *ngIf="fluctuante==1 || fluctuante==0 " (click)="reaccionMegusta(1,uidClini,estado)"><ion-icon name="thumbs-up"></ion-icon>{{likes}}</ion-button> <ion-button  *ngIf="fluctuante==1  || fluctuante==2 " color="danger" (click)="reaccionNoMegusta(0,uidClini,estado)"><ion-icon name="thumbs-down"></ion-icon>{{dislikes}}</ion-button>
              </div>
              <!---->
                <!--LIKE OR DISLIKE-->
              <div *ngIf="verificadorFavoritos==0 && pasante==0">
                <ion-button color="danger" (click)="anadirFavoritos(nit,uidClini)"><ion-icon name="heart-empty"></ion-icon> Añadir Clinica a Favoritos</ion-button>
              
              </div>
                  <!---->
                <!--LIKE OR DISLIKE-->
              <div *ngIf="verificadorFavoritos==1 && pasante2==1">
                <ion-button color="primary" (click)="quitarFavoritos(nit,uidClini)"><ion-icon name="heart"></ion-icon> Quitar Favoritos</ion-button>
          
              </div>
                  <!---->
          
              </div>
            </div>

          <div id="direcicones-card">
          
            <ion-list >
              <ion-item lines="none">
                <img src='../../../../assets/img/icon-assets/ubicacion.png' height="30" width="30"> <p style="padding: 5px;">{{direccion}}</p> 
              </ion-item>
              <ion-item lines="none">
                <img src='../../../../assets/img/icon-assets/telefono.png' height="30" width="30"> <p style="padding: 5px;">{{telefonos}}</p> 
              </ion-item>

              <!--<ion-item lines="none">
                <img src='../../../../assets/img/icon-assets/like.png' height="30" width="30">{{likes}} <img src='../../../../assets/img/icon-assets/dislike.png' height="30" width="30">{{dislikes}}
              </ion-item>-->
            </ion-list><br>
          
        
          </div>
          
          <button class="btn btn-default">Cerrar</button>

          </div>
            <button class="btn btn-default">HOLA</button>
        </div>


    
    </div> <!-- placeDiv -->
  
    </div>

    
  </div> <!-- map-container -->
<!--OPERACIONES-->
<!--<div id="google-map-overlay" *ngIf="contenedorFav==null">
  <ion-button expand="full" (click)="arrancarFiltros()">Hacer filtrado de clinicas</ion-button>
</div>-->
<!--<div id="google-map-overlay" *ngIf="contenedorFav==null">


 <ion-button (click)="consultaClinicasPrivadas()">privadas</ion-button>
 <ion-button (click)="consultaClinicasPublicas()">publicas</ion-button>
 <ion-button (click)="consultaClinicasMixtas()">mixtas</ion-button>
</div>-->

<!--<div id="google-map-overlay" *ngIf="contenedorFav==null">


  <ion-button (click)="consultaClinicasPrivadas()">privadas</ion-button>
  <ion-button (click)="consultaClinicasPublicas()">publicas</ion-button>
  <ion-button (click)="consultaClinicasMixtas()">mixtas</ion-button>
 </div>-->

 


  <div id="map">
   
  </div>


</ion-content>
